apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: webservice-web
  namespace: gitlab
spec:
  hosts:
    - gitlab.${cluster}.${region}.${project}.${provider}.${domain}
    - ${global_endpoint}
  gateways:
    - webservice
  http:
    - name: "static-assets"
      match:
        - uri:
            prefix: "/assets"
      rewrite:
        uri: /assets
        authority: gitlab-${environment}-assets.storage.googleapis.com
      route:
        - destination:
            host: gitlab-${environment}-assets.storage.googleapis.com
            port:
              number: 443
    - name: "webservice-web"
      match:
        - uri:
            prefix: "/"
      route:
        - destination:
            host: gitlab-webservice-web
            port:
              number: 8080
